

# UpdateRoom
<a name="API_UpdateRoom"></a>

Updates a room’s configuration.

## Request Syntax
<a name="API_UpdateRoom_RequestSyntax"></a>

```
POST /UpdateRoom HTTP/1.1
Content-type: application/json

{
   "identifier": "string",
   "loggingConfigurationIdentifiers": [ "string" ],
   "maximumMessageLength": number,
   "maximumMessageRatePerSecond": number,
   "messageReviewHandler": { 
      "fallbackResult": "string",
      "uri": "string"
   },
   "name": "string"
}
```

## URI Request Parameters
<a name="API_UpdateRoom_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_UpdateRoom_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [identifier](#API_UpdateRoom_RequestSyntax) **   <a name="ivs-UpdateRoom-request-identifier"></a>
Identifier of the room to be updated. Currently this must be an ARN.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivschat:[a-z0-9-]+:[0-9]+:room/[a-zA-Z0-9-]+`   
Required: Yes

 ** [loggingConfigurationIdentifiers](#API_UpdateRoom_RequestSyntax) **   <a name="ivs-UpdateRoom-request-loggingConfigurationIdentifiers"></a>
Array of logging-configuration identifiers attached to the room.  
Type: Array of strings  
Array Members: Minimum number of 0 items. Maximum number of 3 items.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivschat:[a-z0-9-]+:[0-9]+:logging-configuration/[a-zA-Z0-9-]+`   
Required: No

 ** [maximumMessageLength](#API_UpdateRoom_RequestSyntax) **   <a name="ivs-UpdateRoom-request-maximumMessageLength"></a>
The maximum number of characters in a single message. Messages are expected to be UTF-8 encoded and this limit applies specifically to rune/code-point count, not number of bytes. Default: 500.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 500.  
Required: No

 ** [maximumMessageRatePerSecond](#API_UpdateRoom_RequestSyntax) **   <a name="ivs-UpdateRoom-request-maximumMessageRatePerSecond"></a>
Maximum number of messages per second that can be sent to the room (by all clients). Default: 10.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 100.  
Required: No

 ** [messageReviewHandler](#API_UpdateRoom_RequestSyntax) **   <a name="ivs-UpdateRoom-request-messageReviewHandler"></a>
Configuration information for optional review of messages. Specify an empty `uri` string to disassociate a message review handler from the specified room.  
Type: [MessageReviewHandler](API_MessageReviewHandler.md) object  
Required: No

 ** [name](#API_UpdateRoom_RequestSyntax) **   <a name="ivs-UpdateRoom-request-name"></a>
Room name. The value does not need to be unique.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]*`   
Required: No

## Response Syntax
<a name="API_UpdateRoom_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "createTime": "string",
   "id": "string",
   "loggingConfigurationIdentifiers": [ "string" ],
   "maximumMessageLength": number,
   "maximumMessageRatePerSecond": number,
   "messageReviewHandler": { 
      "fallbackResult": "string",
      "uri": "string"
   },
   "name": "string",
   "tags": { 
      "string" : "string" 
   },
   "updateTime": "string"
}
```

## Response Elements
<a name="API_UpdateRoom_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-arn"></a>
Room ARN, from the request (if `identifier` was an ARN).  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivschat:[a-z0-9-]+:[0-9]+:room/[a-zA-Z0-9-]+` 

 ** [createTime](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-createTime"></a>
Time when the room was created. This is an ISO 8601 timestamp; *note that this is returned as a string*.  
Type: Timestamp

 ** [id](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-id"></a>
Room ID, generated by the system. This is a relative identifier, the part of the ARN that uniquely identifies the room.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[a-zA-Z0-9]+` 

 ** [loggingConfigurationIdentifiers](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-loggingConfigurationIdentifiers"></a>
Array of logging configurations attached to the room, from the request (if specified).  
Type: Array of strings  
Array Members: Minimum number of 0 items. Maximum number of 3 items.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivschat:[a-z0-9-]+:[0-9]+:logging-configuration/[a-zA-Z0-9-]+` 

 ** [maximumMessageLength](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-maximumMessageLength"></a>
Maximum number of characters in a single message, from the request (if specified).  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 500.

 ** [maximumMessageRatePerSecond](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-maximumMessageRatePerSecond"></a>
Maximum number of messages per second that can be sent to the room (by all clients), from the request (if specified).  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [messageReviewHandler](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-messageReviewHandler"></a>
Configuration information for optional review of messages.  
Type: [MessageReviewHandler](API_MessageReviewHandler.md) object

 ** [name](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-name"></a>
Room name, from the request (if specified).  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]*` 

 ** [tags](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-tags"></a>
Tags attached to the resource. Array of maps, each of the form `string:string (key:value)`.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.

 ** [updateTime](#API_UpdateRoom_ResponseSyntax) **   <a name="ivs-UpdateRoom-response-updateTime"></a>
Time of the room’s last update. This is an ISO 8601 timestamp; *note that this is returned as a string*.  
Type: Timestamp

## Errors
<a name="API_UpdateRoom_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** PendingVerification **   
  
HTTP Status Code: 403

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_UpdateRoom_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/ivschat-2020-07-14/UpdateRoom) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/ivschat-2020-07-14/UpdateRoom) 